/*******************************************************************************
* File Name: Pin_41.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_41_H) /* Pins Pin_41_H */
#define CY_PINS_Pin_41_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_41_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pin_41__PORT == 15 && ((Pin_41__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Pin_41_Write(uint8 value);
void    Pin_41_SetDriveMode(uint8 mode);
uint8   Pin_41_ReadDataReg(void);
uint8   Pin_41_Read(void);
void    Pin_41_SetInterruptMode(uint16 position, uint16 mode);
uint8   Pin_41_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Pin_41_SetDriveMode() function.
     *  @{
     */
        #define Pin_41_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Pin_41_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Pin_41_DM_RES_UP          PIN_DM_RES_UP
        #define Pin_41_DM_RES_DWN         PIN_DM_RES_DWN
        #define Pin_41_DM_OD_LO           PIN_DM_OD_LO
        #define Pin_41_DM_OD_HI           PIN_DM_OD_HI
        #define Pin_41_DM_STRONG          PIN_DM_STRONG
        #define Pin_41_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Pin_41_MASK               Pin_41__MASK
#define Pin_41_SHIFT              Pin_41__SHIFT
#define Pin_41_WIDTH              1u

/* Interrupt constants */
#if defined(Pin_41__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Pin_41_SetInterruptMode() function.
     *  @{
     */
        #define Pin_41_INTR_NONE      (uint16)(0x0000u)
        #define Pin_41_INTR_RISING    (uint16)(0x0001u)
        #define Pin_41_INTR_FALLING   (uint16)(0x0002u)
        #define Pin_41_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Pin_41_INTR_MASK      (0x01u) 
#endif /* (Pin_41__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_41_PS                     (* (reg8 *) Pin_41__PS)
/* Data Register */
#define Pin_41_DR                     (* (reg8 *) Pin_41__DR)
/* Port Number */
#define Pin_41_PRT_NUM                (* (reg8 *) Pin_41__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_41_AG                     (* (reg8 *) Pin_41__AG)                       
/* Analog MUX bux enable */
#define Pin_41_AMUX                   (* (reg8 *) Pin_41__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_41_BIE                    (* (reg8 *) Pin_41__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_41_BIT_MASK               (* (reg8 *) Pin_41__BIT_MASK)
/* Bypass Enable */
#define Pin_41_BYP                    (* (reg8 *) Pin_41__BYP)
/* Port wide control signals */                                                   
#define Pin_41_CTL                    (* (reg8 *) Pin_41__CTL)
/* Drive Modes */
#define Pin_41_DM0                    (* (reg8 *) Pin_41__DM0) 
#define Pin_41_DM1                    (* (reg8 *) Pin_41__DM1)
#define Pin_41_DM2                    (* (reg8 *) Pin_41__DM2) 
/* Input Buffer Disable Override */
#define Pin_41_INP_DIS                (* (reg8 *) Pin_41__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_41_LCD_COM_SEG            (* (reg8 *) Pin_41__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_41_LCD_EN                 (* (reg8 *) Pin_41__LCD_EN)
/* Slew Rate Control */
#define Pin_41_SLW                    (* (reg8 *) Pin_41__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_41_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_41__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_41_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_41__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_41_PRTDSI__OE_SEL0        (* (reg8 *) Pin_41__PRTDSI__OE_SEL0) 
#define Pin_41_PRTDSI__OE_SEL1        (* (reg8 *) Pin_41__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_41_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_41__PRTDSI__OUT_SEL0) 
#define Pin_41_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_41__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_41_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_41__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Pin_41__SIO_CFG)
    #define Pin_41_SIO_HYST_EN        (* (reg8 *) Pin_41__SIO_HYST_EN)
    #define Pin_41_SIO_REG_HIFREQ     (* (reg8 *) Pin_41__SIO_REG_HIFREQ)
    #define Pin_41_SIO_CFG            (* (reg8 *) Pin_41__SIO_CFG)
    #define Pin_41_SIO_DIFF           (* (reg8 *) Pin_41__SIO_DIFF)
#endif /* (Pin_41__SIO_CFG) */

/* Interrupt Registers */
#if defined(Pin_41__INTSTAT)
    #define Pin_41_INTSTAT            (* (reg8 *) Pin_41__INTSTAT)
    #define Pin_41_SNAP               (* (reg8 *) Pin_41__SNAP)
    
	#define Pin_41_0_INTTYPE_REG 		(* (reg8 *) Pin_41__0__INTTYPE)
#endif /* (Pin_41__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pin_41_H */


/* [] END OF FILE */
